Last Comment Bug 705660 - OpenSearch tab looks weird with some Personas
: OpenSearch tab looks weird with some Personas
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Search (show other bugs)
: 11 Branch
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-28 07:07 PST by Mike Conley (:mconley) - (needinfo me!)
Modified: 2012-01-17 14:06 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed


Attachments
A screenshot of the weirdness (108.95 KB, image/png)
2011-11-28 07:07 PST, Mike Conley (:mconley) - (needinfo me!)
no flags Details
The fix (1.54 KB, patch)
2012-01-16 14:07 PST, Mark Banner (:standard8)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Mike Conley (:mconley) - (needinfo me!) 2011-11-28 07:07:14 PST
Created attachment 577250 [details]
A screenshot of the weirdness

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a2) Gecko/20111125 Thunderbird/10.0a2

I've got this Persona enabled:  http://www.getpersonas.com/en-US/persona/23285

And the sidebar in my OpenSearch tab looks kinda funky.  See attached.
Comment 1 Mark Banner (:standard8) 2012-01-16 13:31:28 PST
Can anyone help with a quick fix for this? We're shipping opensearch in 10, so I'd like this to look good with personas.
Comment 2 Mark Banner (:standard8) 2012-01-16 14:07:01 PST
Created attachment 589000 [details] [diff] [review]
The fix

Talking with Richard on irc, this should work. Basically force the background color of the .navbar to -moz-dialog all the time.

I've also pushed this to try server to just get builds out, although I'd like to get it in the beta that I'm planning on starting tomorrow morning pst:

http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=8d44b7278d69
Comment 3 Blake Winton (:bwinton) (:☕️) 2012-01-17 06:31:37 PST
Comment on attachment 589000 [details] [diff] [review]
The fix

I think, ideally, I'ld like it to be the same colour as the folder pane, but this seems like enough of an improvement to get the ui-r=me.

And the code seems great, too.  r=me.  :)

Thanks,
Blake.
Comment 4 Mark Banner (:standard8) 2012-01-17 06:47:43 PST
Checked into trunk: http://hg.mozilla.org/comm-central/rev/e9fc23fc9027

Note You need to log in before you can comment on or make changes to this bug.